Name:           python-trio-websocket
Version:        0.11.1
Release:        %mkrel 2
Summary:        WebSocket library for Trio
Group:          Development/Python

License:        MIT
URL:            https://github.com/python-trio/trio-websocket
Source:         %{pypi_source trio-websocket}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
This library implements both server and client aspects of the the WebSocket
protocol, striving for safety, correctness, and ergonomics. It is based on the
wsproto project, which is a Sans-IO state machine that implements the majority
of the WebSocket protocol, including framing, codecs, and events. This library
handles I/O using the Trio framework. This library passes the Autobahn Test
Suite.}

%description %_description

%package -n     python3-trio-websocket
Summary:        %{summary}

%description -n python3-trio-websocket %_description


%prep
%autosetup -p1 -n trio-websocket-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files trio_websocket


%check
%pyproject_check_import


%files -n python3-trio-websocket -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Mon Mar 03 2025 wally <wally> 0.11.1-2.mga10
+ Revision: 2160080
- rebuild for python3.13

* Mon Dec 25 2023 papoteur <papoteur> 0.11.1-1.mga10
+ Revision: 2021331
- imported package python-trio-websocket

